> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current User Git Info

> Get the current authenticated user's metadata from the git provider.



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/v1/users/git-info
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/users/git-info:
    get:
      tags:
        - User
      summary: Get Current User Git Info
      description: Get the current authenticated user's metadata from the git provider.
      operationId: get_current_user_git_info_api_v1_users_git_info_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserGitInfo'
      security:
        - APIKeyHeader: []
components:
  schemas:
    UserGitInfo:
      properties:
        id:
          type: string
          title: Id
        login:
          type: string
          title: Login
        avatar_url:
          type: string
          title: Avatar Url
        company:
          anyOf:
            - type: string
            - type: 'null'
          title: Company
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
      type: object
      required:
        - id
        - login
        - avatar_url
      title: UserGitInfo
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````